Bug 25606 - xf86-video-intel manpage needs update for KMS xrandr properties
Summary: xf86-video-intel manpage needs update for KMS xrandr properties
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/intel (show other bugs)
Version: unspecified
Hardware: Other All
: high major
Assignee: Carl Worth
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-12 03:06 UTC by Chí-Thanh Christopher Nguyễn
Modified: 2010-03-22 14:18 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chí-Thanh Christopher Nguyễn 2009-12-12 03:06:10 UTC
the intel(4) manpage still lists the xrandr properties which were used with UMS, such as PANEL_FITTING.

With KMS and kernel 2.6.31 or later, the names have changed, in the case of "PANEL_FITTING" it is now called "scaling mode" according to "xrandr --prop":

scaling mode: Fullscreen
  supported: Non-GPU Fullscreen No scale Aspect

The manpage should be updated to reflect this, ideally before xf86-video-intel-2.10 release.
Comment 1 Gordon Jin 2009-12-13 03:12:51 UTC
I can't agree more.
Comment 2 Carl Worth 2010-01-04 14:12:32 UTC
Thanks for the bug report.

I've fixed this just before the 2.10 release:

commit 7f36a439249cc2101d8985de5e95af652e5b984b
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Jan 4 14:07:24 2010 -0800

    man page: Rename PANEL_FITTING to "scaling mode".
    
    The old UMS name was PANEL_FITTING while the new KMS name is "scaling mode".
    
    Fixes bug #25606.

-Carl
Comment 3 Chí-Thanh Christopher Nguyễn 2010-01-05 08:38:07 UTC
I think the manpage is still not correct. Not only the property name was changed, but also the values:

scaling mode: Fullscreen
  supported: Non-GPU Fullscreen No scale Aspect

And the default value was changed from Aspect to Fullscreen.
Comment 4 Carl Worth 2010-01-12 09:44:52 UTC
Sorry I got it wrong.

I was just trying to edit the man page as well as I could interpret your description of the bug.

What would be most helpful is if you could provide exactly that the text that should appear in the man page. That would help me avoid more mistakes in trying to come up with that text myself.

Thanks,

-Carl
Comment 5 Carl Worth 2010-03-22 14:18:31 UTC
Updated the list in this commit:

commit f206816154fd44e61b0bdeaab1aa4c5359c3b70a
Author: Carl Worth <cworth@cworth.org>
Date:   Mon Mar 22 14:14:46 2010 -0700

    man: Update list of available 'sclaing mode' property values.
    
    Include the names from the current kernel driver along with accurate
    descriptions of each. Indicate how to use the values with:
    
        xrandr --output output --set property value
    
    and point the user to "xrandr --prop" for an accurate list of
    currently available values.
    
    Closes bug:
    
        xf86-video-intel manpage needs update for KMS xrandr properties
        http://bugs.freedesktop.org/show_bug.cgi?id=25606

This section now reads as follows:

       scaling mode - control LCD panel scaling mode

       When the currently selected display mode differs from the native  panel
       resolution, various scaling options are available. These include

         Center

         Simply  center  the image on-screen without scaling. This is the only
         scaling mode that  guarantees  a  one-to-one  correspondence  between
         native  and  displayed  pixels, but some portions of the panel may be
         unused (so-called "letterboxing").

         Full aspect

         Scale the image as much as possible while  preserving  aspect  ratio.
         Pixels  may  not  be  displayed one-to-one (there may be some blurri‐
         ness). Some portions of the panel may be unused if the  aspect  ratio
         of the selected mode does not match that of the panel.

         Full

         Scale  the  image  to  the panel size without regard to aspect ratio.
         This is the only mode which guarantees that every pixel of the  panel
         will  be used. But the displayed image may be distorted by stretching
         either horizontally or vertically, and pixels may  not  be  displayed
         one-to-one (there may be some blurriness).

       The  precise  names of these options may differ depending on the kernel
       video driver, (but the functionality should be similar). See the output
       of xrandr --prop for a list of currently available scaling modes.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.